Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.random.generators
Class WattsBetaSmallWorldGenerator

    java.lang.Object
      edu.uci.ics.jung.random.generators.Lattice1DGenerator
          edu.uci.ics.jung.random.generators.WattsBetaSmallWorldGenerator

All Implemented Interfaces:
  GraphGenerator

public class WattsBetaSmallWorldGenerator
extends Lattice1DGenerator

WattsBetaSmallWorldGenerator is a graph generator that produces a small world network using the beta-model as proposed by Duncan Watts. The basic ideas is to start with a one-dimensional ring lattice in which each vertex has k-neighbors and then randomly rewire the edges, with probability beta, in such a way that a small world networks can be created for certain values of beta and k that exhibit low charachteristic path lengths and high clustering coefficient.

Author:
  Christopher Brooks, Scott White
See Also:
  "Small Worlds:The Dynamics of Networks between Order and Randomness by D.J. Watts"

Constructor Summary
`WattsBetaSmallWorldGenerator(int numNodes, double beta, int degree)` Constructs the small world graph generator.

Method Summary
`ArchetypeGraph` | `generateGraph()` Generates a beta-network from a 1-lattice according to the parameters given.

Methods inherited from class edu.uci.ics.jung.random.generators.Lattice1DGenerator
`downIndex, upIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WattsBetaSmallWorldGenerator

    public WattsBetaSmallWorldGenerator(int numNodes,
                                        double beta,
                                        int degree)

  Constructs the small world graph generator.

Parameters:
  `numNodes` - the number of nodes in the ring lattice
  `beta` - the probability of an edge being rewired randomly; the proportion of randomly rewired edges in a graph.
  `degree` - the number of edges connected to each vertex; the local neighborhood size.

Method Detail

### generateGraph

    public ArchetypeGraph generateGraph()

  Generates a beta-network from a 1-lattice according to the parameters given.

  Specified by:
    `generateGraph` in interface `GraphGenerator`
  Overrides:
    `generateGraph` in class `Lattice1DGenerator`
  Returns:
    a beta-network model that is potentially a small-world

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD